Skip to main content
Resource Center/Network Resource/L3 Network Operations
POSTL3 Network OperationsSince 0.6SynchronousAuth Required

CreateL3Network

CreateL3Network

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The L3 network name.

    • descriptionString

      Optional. The detailed description of the L3 network.

    • typeString

      Optional. The L3 network type.

    • l2NetworkUuidStringRequired

      The L2 network UUID.

    • ipVersionString

      Optional. The IP version.

    • systemboolean

      Optional. Whether the L3 network can be applied to appliance VM instances.

    • dnsDomainString

      Optional. The DNS domain.

    • resourceUuidString

      Optional. The resource UUID. If specified, the L3 network will use the specified value as UUID.

    • categoryString

      Optional. The network type, which must be used with the system tags. If system is set to false, this parameter can be set to Public or Private.

    • tagUuidsList

      The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

  • enableIPAMBooleanRequired

    Whether to enable the IP address management.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryL3NetworkInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • typeStringRequired

      The L3 network type.

    • zoneUuidStringRequired

      The zone UUID.

    • l2NetworkUuidStringRequired

      The L2 network UUID.

    • stateStringRequired

      The state of the L3 network.

    • dnsDomainStringRequired

      The DNS domain.

    • systemBooleanRequired

      Whether the L3 network can be applied to appliance VM instances.

    • categoryStringRequired

      The network type, which must be used with the system tags. If system is set to true, this parameter can be set to Public or Private.

    • ipVersionIntegerRequired

      The IP version.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • dnsListRequired

      The DNS server.

    • ipRangesListRequired

      See ipRanges.

      • uuidStringRequired

        The resource UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • startIpStringRequired

        起始地址

      • endIpStringRequired

        结束地址

      • netmaskStringRequired

        掩码

      • prefixLenStringRequired

        The prefix length.

      • gatewayStringRequired

        No description provided.

      • networkCidrStringRequired

        网络CIDR

      • ipVersionIntegerRequired

        The IP version.

      • addressModeStringRequired

        The allocation mode of the IPv6 address.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • ipRangeTypeIpRangeTypeRequired

        See ipRangeType.

        • NormalIpRangeTypeRequired

          Normal IP range.

        • AddressPoolIpRangeTypeRequired

          IP range pool.

    • networkServicesListRequired

      See networkServices.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • networkServiceProviderUuidStringRequired

        The network service provider UUID.

      • networkServiceTypeStringRequired

        No description provided.

    • hostRouteListRequired

      See hostRoute.

      • idLongRequired

        资源ID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • prefixStringRequired

        No description provided.

      • nexthopStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

POST/zstack/v1/l3-networks

/zstack/v1/l3-networks

Operation ID

CreateL3Network

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/l3-networks' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","type":"<type>","l2NetworkUuid":"<l2NetworkUuid>","ipVersion":"<ipVersion>","system":true,"dnsDomain":"<dnsDomain>","resourceUuid":"<resourceUuid>","category":"<category>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"],"enableIPAM":true}'

Response Example

200
{ "inventory": { "name": "Test-L3Network", "l2NetworkUuid": "1bfca1892b674df28d26d9a3c0f609f9", "category": "Private" } }

Change History

This API has no change history records yet.

View all change history